Pulsar Docs
API ReferenceAlerts Config

Update Alert Type

PUT
/v1/alerts-config/alert-types/{alertTypeId}

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

Update alert type, identified by alertTypeId.

Authorization

bearerAuth superadmin, superuser
Authorization<token>

In: header

Scope: superadmin, superuser

Path Parameters

alertTypeId*number

The alert type's ID.

Formatdouble

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/alerts-config/alert-types/0.1" \  -H "Content-Type: application/json" \  -d '{    "params_validation": {},    "detector": "string",    "name": "string"  }'
{  "id": 0.1,  "params_validation": {},  "description": "string",  "detector": "string",  "name": "string"}